curl --request POST \
--url https://sandbox.cashfree.com/import/transactions/{cf_payment_id} \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <x-client-secret>' \
--form 'doc_name=<string>' \
--form 'doc_value=<string>' \
--form file='@example-file'
{
"uploaded_documents": [
{
"doc_name": "shop_or_brand_name",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "partner_order_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "goods_description",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_number",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_name",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_address",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "country_of_origin",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
],
"missing_documents": [
{
"doc_name": "invoice_file",
"doc_type": "DOCUMENT",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "ecommerce_order_serial_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "hs_code",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "shipment_date",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "port_of_loading",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "awb_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
]
}Upload Payment Verification Details
This API is used to upload the required payment details for theverification.
POST
/
import
/
transactions
/
{cf_payment_id}
curl --request POST \
--url https://sandbox.cashfree.com/import/transactions/{cf_payment_id} \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <x-client-secret>' \
--form 'doc_name=<string>' \
--form 'doc_value=<string>' \
--form file='@example-file'
{
"uploaded_documents": [
{
"doc_name": "shop_or_brand_name",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "partner_order_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "goods_description",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_number",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_name",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_address",
"doc_type": "VALUE",
"doc_status": "VERIFIED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "country_of_origin",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
],
"missing_documents": [
{
"doc_name": "invoice_file",
"doc_type": "DOCUMENT",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "ecommerce_order_serial_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "hs_code",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "shipment_date",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "port_of_loading",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "awb_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Client ID generated from the merchant dashboard.
Client secret generated from the merchant dashboard.
API version to be used. Format is in YYYY-MM-DD.
Path Parameters
Successful payment ID for the created order.
Body
multipart/form-data
⌘I
